Subject: bug#30320: 26.0.91; Crash when using lsp-ui-doc-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Feb 2018 22:10:23 +0200

> From: Jake Goulding <[email-masked]>
> Date: Sat, 3 Feb 2018 14:43:50 -0500
> 
> My earlier email included a screenshot in an attempt to show what
> I see. It appears to have been added to the bug report:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?msg=23;att=2;filename=Screen+Shot+2018-02-02+at+11.19.02+AM.png;bug=30320

You are right, I missed that somehow.  Sorry about that.

> I see nothing that appears to be 3 rows tall.

Doesn't look that way.  So it means somehow the correct value got
overwritten(?).  Next thing I'd try is run Emacs with a watchpoint on
(tty)->Wcm->cm_rows, that should show us what code changes the value.

> I did not change anything to be `text-mode`.

Your whole session is text-mode, i.e. non-GUI.

Thanks.